Bug 1405546 - Review Request: emacs-json-reformat - Reformatting tool for JSON
Summary: Review Request: emacs-json-reformat - Reformatting tool for JSON
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1405548
TreeView+ depends on / blocked
 
Reported: 2016-12-16 16:42 UTC by Mohamed El Morabity
Modified: 2018-12-07 02:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-07 02:14:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Mohamed El Morabity 2016-12-16 16:42:50 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/emacs-json-reformat/emacs-json-reformat.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/emacs-json-reformat/emacs-json-reformat-0.0.6-1.fc25.src.rpm
Description: json-reformat is a reformatting tool for JSON.
Fedora Account System Username: melmorabity

Comment 1 Robert-André Mauchin 2018-11-20 22:59:02 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /emacs-json-reformat/review-emacs-json-reformat/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: emacs-json-reformat-0.0.6-1.fc30.noarch.rpm
          emacs-json-reformat-0.0.6-1.fc30.src.rpm
emacs-json-reformat.src: E: specfile-error warning: line 14: Possible unexpanded macro in: Requires:       emacs(bin) >= %{_emacs_version}
emacs-json-reformat.src: E: specfile-error warning: line 14: Possible unexpanded macro in: Requires:       emacs(bin) >= %{_emacs_version}
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

Comment 2 Mohamed El Morabity 2018-11-21 09:09:21 UTC
Thanks for the review :)

(In reply to Robert-André Mauchin from comment #1)
>  - Group is not needed in Fedora
I will remove it on import

Comment 3 Gwyn Ciesla 2018-11-21 14:25:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/emacs-json-reformat

Comment 4 Fedora Update System 2018-11-27 19:42:43 UTC
emacs-json-reformat-0.0.6-1.fc28 emacs-json-snatcher-1.0.0-1.fc28 emacs-json-mode-1.7.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-883de04ee2

Comment 5 Fedora Update System 2018-11-27 19:42:55 UTC
emacs-json-reformat-0.0.6-1.fc27 emacs-json-snatcher-1.0.0-1.fc27 emacs-json-mode-1.7.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5bd782cc86

Comment 6 Fedora Update System 2018-11-27 19:43:04 UTC
emacs-json-reformat-0.0.6-1.fc29 emacs-json-snatcher-1.0.0-1.fc29 emacs-json-mode-1.7.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ce427089b

Comment 7 Fedora Update System 2018-11-28 03:47:51 UTC
emacs-json-mode-1.7.0-1.fc28, emacs-json-reformat-0.0.6-1.fc28, emacs-json-snatcher-1.0.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-883de04ee2

Comment 8 Fedora Update System 2018-11-28 04:51:53 UTC
emacs-json-mode-1.7.0-1.fc29, emacs-json-reformat-0.0.6-1.fc29, emacs-json-snatcher-1.0.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ce427089b

Comment 9 Fedora Update System 2018-11-28 05:16:53 UTC
emacs-json-mode-1.7.0-1.fc27, emacs-json-reformat-0.0.6-1.fc27, emacs-json-snatcher-1.0.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5bd782cc86

Comment 10 Fedora Update System 2018-12-07 02:14:06 UTC
emacs-json-mode-1.7.0-1.fc28, emacs-json-reformat-0.0.6-1.fc28, emacs-json-snatcher-1.0.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-12-07 02:37:26 UTC
emacs-json-mode-1.7.0-1.fc29, emacs-json-reformat-0.0.6-1.fc29, emacs-json-snatcher-1.0.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.